discussion Digest, Vol 26, Issue 16

Jiva Nath Bagale jnbagale at gmail.com
Mon Apr 2 09:55:36 EDT 2012


On 22/03/12 01:49, discussion-request at lists.en.qi-hardware.com wrote:
> Send discussion mailing list submissions to
> 	discussion at lists.en.qi-hardware.com
>
> To subscribe or unsubscribe via the World Wide Web, visit
> 	http://lists.en.qi-hardware.com/mailman/listinfo/discussion
> or, via email, send a message with subject or body 'help' to
> 	discussion-request at lists.en.qi-hardware.com
>
> You can reach the person managing the list at
> 	discussion-owner at lists.en.qi-hardware.com
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of discussion digest..."
>
>
> Today's Topics:
>
>     1. Re: discussion Digest, Vol 26, Issue 15 (Jiva Nath Bagale)
>     2. Re: discussion Digest, Vol 26, Issue 15 (David Kuehling)
>     3. Re: discussion Digest, Vol 26, Issue 15 (Ron K. Jeffries)
>     4. Re: discussion Digest, Vol 26, Issue 15 (Andrea Bolognani)
>     5. Re: New OpenWrt Release: stable 2012-03-18 (David Kuehling)
>     6. Re: New OpenWrt Release: stable 2012-03-18 (Ron K. Jeffries)
>     7. Re: New OpenWrt Release: stable 2012-03-18
>        (Cristian Paul Pe?aranda Rojas)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Wed, 21 Mar 2012 16:05:28 +0000
> From: Jiva Nath Bagale<jnbagale at gmail.com>
> Subject: Re: discussion Digest, Vol 26, Issue 15
> To: discussion at lists.en.qi-hardware.com
> Message-ID:<4F69FC48.7050505 at gmail.com>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
> On 21/03/12 16:00, discussion-request at lists.en.qi-hardware.com wrote:
>> Re: New OpenWrt Release: stable 2012-03-18
> Hi Xiangfu,
>
> The guile2 requires the host system to have guile 2.0.5 installed. I
> think this is the main reason for guile2 to fail.
> I tried to compile guile2 with the new release in my system and got that
> error. Can you please look if installing guile 2.0.5 from source on the
> host system solves the issue.
>
> Regards
> Jiva
>
>
>
> ------------------------------
>
> Message: 2
> Date: Wed, 21 Mar 2012 17:40:56 +0100
> From: David Kuehling<dvdkhlng at gmx.de>
> Subject: Re: discussion Digest, Vol 26, Issue 15
> To: "English Qi Hardware mailing list - support\, developers\,	use
> 	cases and fun"<discussion at lists.en.qi-hardware.com>
> Message-ID:<87ehsl6h5z.fsf at mosquito.pool>
> Content-Type: text/plain; charset="us-ascii"
>
>>>>>> "Jiva" == Jiva Nath Bagale<jnbagale at gmail.com>  writes:
>> On 21/03/12 16:00, discussion-request at lists.en.qi-hardware.com wrote:
>>> Re: New OpenWrt Release: stable 2012-03-18
>> Hi Xiangfu,
>> The guile2 requires the host system to have guile 2.0.5 installed. I
>> think this is the main reason for guile2 to fail.  I tried to compile
>> guile2 with the new release in my system and got that error. Can you
>> please look if installing guile 2.0.5 from source on the host system
>> solves the issue.
> The proper fix is probably to make the guile package build guile for the
> host first, and then use that exact version (installed in the host
> staging area) for the target.  Look e.g. how qi's Emacs, Octave,
> liballegro etc. packages use this kind of bootstrap.
>
> cheers,
>
> David
Hi David,
I am now trying to build guile within the toolchain host. It seems to be 
compiling fine apart from some issues with libffi.pc file.
The libffi.pc file gets copied on the toolchain guile compilation but is 
missing on the toolchain host guile compilation.
I will submit the updated Makefile once this issue will be fixed.

Thanks for your help.
Regards
Jiva




More information about the discussion mailing list


interactive